Bug 231905 - migration: Migrate from 1.0.x to 1.1
Summary: migration: Migrate from 1.0.x to 1.1
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Migration   
(Show other bugs)
Version: 1.0.4
Hardware: All All
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 152373 240316 FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-03-12 21:45 UTC by Rich Megginson
Modified: 2015-12-07 17:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 17:03:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diffs (5.38 KB, patch)
2007-03-12 21:50 UTC, Rich Megginson
no flags Details | Diff
migrateTo11.in (24.46 KB, text/plain)
2007-03-12 21:51 UTC, Rich Megginson
no flags Details
migrateTo11 expanded (24.39 KB, text/plain)
2007-03-12 21:58 UTC, Rich Megginson
no flags Details
new diffs (5.47 KB, patch)
2007-03-16 17:11 UTC, Rich Megginson
no flags Details | Diff
migrateTo11.in (25.78 KB, text/plain)
2007-03-16 17:12 UTC, Rich Megginson
no flags Details
migrateTo11 expanded (25.71 KB, text/plain)
2007-03-16 17:12 UTC, Rich Megginson
no flags Details
cvs commit log (1.73 KB, text/plain)
2007-03-16 21:33 UTC, Rich Megginson
no flags Details

Description Rich Megginson 2007-03-12 21:45:21 UTC
We need a way to migrate instances (data and configuration) from FDS 1.0.x to
FDS 1.1.

Comment 1 Rich Megginson 2007-03-12 21:50:31 UTC
Created attachment 149871 [details]
diffs

Comment 2 Rich Megginson 2007-03-12 21:51:22 UTC
Created attachment 149872 [details]
migrateTo11.in

Comment 3 Rich Megginson 2007-03-12 21:58:23 UTC
Created attachment 149873 [details]
migrateTo11 expanded

Comment 4 Rich Megginson 2007-03-13 18:43:27 UTC
The instance migration should also upgrade the DBVERSION and guardian file
information.  See https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=232050

Comment 5 Rich Megginson 2007-03-16 17:11:22 UTC
Created attachment 150251 [details]
new diffs

Comment 6 Rich Megginson 2007-03-16 17:12:10 UTC
Created attachment 150252 [details]
migrateTo11.in

Comment 7 Rich Megginson 2007-03-16 17:12:39 UTC
Created attachment 150253 [details]
migrateTo11 expanded

Comment 8 Noriko Hosoi 2007-03-16 18:52:30 UTC
Reviewed the attachments in Comment #5 and #6.  They look good.

Comment 9 Rich Megginson 2007-03-16 21:33:41 UTC
Created attachment 150282 [details]
cvs commit log

Reviewed by: nhosoi (Thanks!)
Files: see diff
Branch: HEAD
Fix Description: The basic strategy is
1) shutdown the old servers - databases should be quiescent
2) run the migration script - this will copy all of the files (under
/opt/fedora-ds/slapd-* by default) to their new FHS style locations, and fix up
any entries and attributes that are obsolete or have changed (e.g. values that
refer to paths)
3) service fedora-ds start
The migration script does not need to do anything to the database files - the
new database code added by Noriko will handle the database upgrade
automagically, but I'm leaving the database upgrade code in the script,
commented out, in case we need it in the future.
This also fixes an annoying problem with automake - it would build
ds_newinst.pl from ds_newinst.pl.in in the source ldap/admin/src directory, and
use that version.  This is really a problem with multi platform builds, where
you want to share the ldapserver source code among multiple platforms.	With
the fix, built/ldap/admin/src/ds_newinst.pl is generated from
srcdir/ldap/admin/src/ds_newinst.pl.in, and srcdir/ldap/admin/src/ds_newinst.pl
is not written.
Platforms tested: FC6
Flag Day: no
Doc impact: Yes - we need to document migration

Comment 10 Nathan Kinder 2007-12-21 20:50:13 UTC
This fix is no longer applicable, although it was checked in.  The migrate-ds.pl
and migrate-ds-admin.pl scripts have replaced migrateTo11.

Marking as VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.